package cn.estsh.i3plus.ext.mes.api.busi.report;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.seres.MesCimSeresJisQueue;
import cn.estsh.i3plus.pojo.mes.bean.seres.MesCimSeresJisVinOverPoint;
import cn.estsh.i3plus.pojo.mes.bean.seres.MesCimSeresSrmRunSheetJis;
import cn.estsh.i3plus.pojo.mes.model.report.DataTwoDimensionalModel;
import cn.estsh.i3plus.pojo.mes.model.report.MesCimSeresJisQueueRequest;
import cn.estsh.i3plus.pojo.mes.model.report.MesCimSeresJisQueueSummaryRequest;
import cn.estsh.i3plus.pojo.mes.model.report.MesCimSeresJisQueueSummaryResponse;

import java.util.List;

public interface IMesCimSeresReportService {
    ListPager<MesCimSeresSrmRunSheetJis> querySrmSunSheetJisLogByPager(Integer status, Pager pager);

    void doSrmSunSheetJisNormal(List<Long> ids);

    ListPager<MesCimSeresJisQueue> queryJisQueueLogByPager(Integer checkStatus, Pager pager);

    void doJisQueueNormal(List<Long> ids);

    ListPager<MesCimSeresJisVinOverPoint> queryJisVinOverPointByPager(MesCimSeresJisVinOverPoint request, Pager pager);

    ListPager<MesCimSeresJisQueue> queryJisQueueByPager(MesCimSeresJisQueueRequest request, Pager pager);

    ListPager<MesCimSeresJisQueueSummaryResponse> queryJisQueueSummaryByPager(MesCimSeresJisQueueSummaryRequest request, Pager pager);

    ListPager<DataTwoDimensionalModel> queryTwoDimensionalByPager(DataTwoDimensionalModel request, Pager pager);
}
